#
# spec file for package python-Axiom
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Axiom
Version:        0.7.3
Release:        3.2
Url:            https://github.com/twisted/axiom
Summary:        An in-process object-relational database
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/A/Axiom/Axiom-%{version}.tar.gz
BuildRequires:  python-Epsilon >= 0.7.0
BuildRequires:  python-Twisted >= 13.2.0
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sqlite2
BuildRequires:  python-xml
Requires:       python-Epsilon >= 0.7.0
Requires:       python-Twisted >= 13.2.0
Requires:       python-sqlite2
Requires:       python-xml
Requires:       sqlite
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A small utility package that depends on tools too recent for Twisted (like
datetime in python2.4) but performs generic enough functions that it can be
used in projects that don't want to share Divmod's other projects' large
footprint.

Currently included:

    * A powerful date/time formatting and import/export class (ExtimeDotTime),
      for exchanging date and time information between all Python's various
      ways to interpret objects as times or time deltas.
    * Tools for managing concurrent asynchronous processes within Twisted.
    * A metaclass which helps you define classes with explicit states.
    * A featureful Version class.
    * A formal system for application of monkey-patches.

%prep
%setup -n Axiom-%{version} -q
# fix end-of-line
sed -i 's/\r//' NAME.txt

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot} --prefix %{_prefix}

%files
%defattr(-,root,root,-)
%doc LICENSE NAME.txt README.txt
%{_bindir}/axiomatic
%{python_sitelib}/Axiom-%{version}-*.egg-info
%{python_sitelib}/axiom/
%{python_sitelib}/twisted/plugins/axiom*
%dir %{python_sitelib}/twisted/
%dir %{python_sitelib}/twisted/plugins/

%changelog
* Tue Apr 21 2015 benoit.monin@gmx.fr
- update to 0.7.3:
  * Fix another major issue involving a bad interaction between
    legacy items (mainly in upgraders), and object lifetimes
- additional changes from version 0.7.2:
  * Fix a major issue involving a bad interaction between weakref
    semantics and the item cache
- additional changes from version 0.7.1:
  * Fix some packaging issues that led to some important files
    being missing from the 0.7.0 release
  * Uses of the deprecated unsignedID and isWinNT Twisted APIs have
    been removed
- additional changes from version 0.7.0:
  * Only Python 2.6 and 2.7 are supported now. 2.4, 2.5 is
    deprecated
  * setup.py now uses setuptools, and stores its dependencies.
    This means you no longer need to manually install dependencies
  * setup.py no longer requires Epsilon for egg_info, making it
    easier to install Axiom using pip.
  * Significant improvements to PyPy support. PyPy is now a
    supported platform, with CI support.
  * Axiom now uses the stdlib sqlite3 if pysqlite2 is not available
  * Passing a string to SubStore.createNew now raises an exception
    instead of silently almost certainly doing the wrong thing
  * Setting an integer value that is too negative will now raise
    an exception
  * __conform__ (interface adaptation) now also works for items
    that are not in a store
  * Starting the store service now automatically activates the
    scheduler service as well
  * Batch processing can now be triggered by adding remote work
  * Startup performance for stores with many legacy type
    declarations is improved
  * Several benchmarks were added
  * Many internal cleanups
- update URL to project home page
- add %%{version} in Source URL
- update Epsilon and Twisted version requirement
- add setuptools as a new build requirement
- add LICENSE and README.txt to package documentation
- fix end-of-line in NAME.txt
- remove deleted dropin* from package files
* Tue Aug  7 2012 toddrme2178@gmail.com
- Fix requires
* Tue Jul 31 2012 saschpe@suse.de
- Spec file cleanup:
  + Use group Development/Languages/Python
  + Drop awesomely old Fedora specifics
* Sun Jul  1 2012 dimstar@opensuse.org
- Initial package, version 0.6.0. Work based on Mauricio Teixeira's
  Spec file.
